From a001fe2c929b53138914ea3289d94ddd97574951 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sun, 4 Aug 2024 01:38:18 +0800
Subject: [PATCH 12/21] osascript.m: fix syntax

---
 src/util/apple/osascript.m | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/src/util/apple/osascript.m b/src/util/apple/osascript.m
index 8b01ba06..ddef3407 100644
--- a/src/util/apple/osascript.m
+++ b/src/util/apple/osascript.m
@@ -1,17 +1,17 @@
 #include "osascript.h"
 
-#import <Foundation/Foundation.h>
-#import <AppKit/AppKit.h>
-#import <CoreData/CoreData.h>
+#include <Foundation/Foundation.h>
+#include <AppKit/AppKit.h>
+#include <CoreData/CoreData.h>
 
-bool ffOsascript(const char* input, FFstrbuf* result)
-{
-    NSAppleScript* script = [NSAppleScript.alloc initWithSource:@(input)];
+bool ffOsascript(const char* input, FFstrbuf* result) {
+    NSString* appleScript = [NSString stringWithUTF8String: input];
+    NSAppleScript* script = [[NSAppleScript alloc] initWithSource:appleScript];
     NSDictionary* errInfo = nil;
     NSAppleEventDescriptor* descriptor = [script executeAndReturnError:&errInfo];
     if (errInfo)
         return false;
 
-    ffStrbufSetS(result, descriptor.stringValue.UTF8String);
+    ffStrbufSetS(result, [[descriptor stringValue] cStringUsingEncoding:NSUTF8StringEncoding]);
     return true;
 }
-- 
2.46.0

